REM https://pypi.python.org/packages/source/p/pyspatialite/pyspatialite-3.0.1.tar.gz

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=pyspatialite
set V=3.0.1
set B=1

set R=..\..\..\release\python\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include;%OSGEO4W_ROOT%\apps\Python27\include
set LIB=%LIB%;%OSGEO4W_ROOT%\lib;%OSGEO4W_ROOT%\apps\Python27\Libs

copy setup.hint %R%\setup.hint

set DESTDIR=%CD%\apps\Python27\Lib\site-packages\pyspatialite
if not exist %DESTDIR% mkdir %DESTDIR%

nmake /f makefile.vc OSGEO4W_ROOT=%OSGEO4W_ROOT%
if errorlevel 1 (echo make error & goto error)

nmake /f makefile.vc install DESTDIR=%DESTDIR%
if errorlevel 1 (echo install error & goto error)

PATH %PATH%;c:\cygwin\bin

copy ..\LICENSE %R%\%P%-%V%-%B%.txt

tar -cjf %R%\%P%-%V%-%B%.tar.bz2 apps
if errorlevel 1 (echo tar error & goto error)

tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/setup.hint osgeo4w/makefile.vc osgeo4w/connection.h
if errorlevel 1 (echo tar src error & goto error)


:error
